Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class PiggybackEventEntry

    java.lang.Object
      |
      +--oracle.jbo.common.PiggybackEventEntry

public final class PiggybackEventEntry
extends java.lang.Object
implements PiggybackEntry

This class is a helper class for Client Service to do piggybacking.

Version:
  SDK
See Also:
  Serialized Form

Field Summary
`static int` | `PIGGYBACK_RANGE_REFRESHED_BEGIN`
`static int` | `PIGGYBACK_RANGE_REFRESHED_END`
`static int` | `PIGGYBACK_RANGE_SCROLLED_BEGIN`
`static int` | `PIGGYBACK_RANGE_SCROLLED_END`

Constructor Summary
`PiggybackEventEntry()`
`PiggybackEventEntry(int type, int id, int rowCountInRange, int rangeStartBefore, int rangeStart, boolean initFlag)`

Method Summary
`int` | `getId()`
`boolean` | `getInitFlag()`
`int` | `getRangeStart()`
`int` | `getRangeStartBefore()`
`int` | `getRowCountInRange()`
`int` | `getSourceId()`
`int` | `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PIGGYBACK_RANGE_REFRESHED_BEGIN

    public static final int PIGGYBACK_RANGE_REFRESHED_BEGIN

### PIGGYBACK_RANGE_REFRESHED_END

    public static final int PIGGYBACK_RANGE_REFRESHED_END

### PIGGYBACK_RANGE_SCROLLED_BEGIN

    public static final int PIGGYBACK_RANGE_SCROLLED_BEGIN

### PIGGYBACK_RANGE_SCROLLED_END

    public static final int PIGGYBACK_RANGE_SCROLLED_END

Constructor Detail

### PiggybackEventEntry

    public PiggybackEventEntry()

### PiggybackEventEntry

    public PiggybackEventEntry(int type,
                               int id,
                               int rowCountInRange,
                               int rangeStartBefore,
                               int rangeStart,
                               boolean initFlag)

Method Detail

### getType

    public int getType()

### getSourceId

    public int getSourceId()

### getId

    public int getId()

  Specified by:
    getId in interface PiggybackEntry

### getRowCountInRange

    public int getRowCountInRange()

### getRangeStart

    public int getRangeStart()

### getRangeStartBefore

    public int getRangeStartBefore()

### getInitFlag

    public boolean getInitFlag()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD